imult16(3)

NAME
imult16 - integer multiplication with overflow checking

SYNTAX
#include <libowfat/safemult.h> int imult16(int16 a,int16 b,int16* c);

DESCRIPTION
imult16 does c=a*b and returns 1. In case of an integer overflow, imult16 leaves c alone and returns 0.

SEE ALSO
umult16(3), imult32(3), imult64(3)